[Overview][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TDelphiWriter.WriteValue

Write value type

## Declaration

Source position: streamex.pp line 57

`public procedure TDelphiWriter.WriteValue(`
`Value: TValueType`
`);`

## Arguments

`Value` |  | Value to write to stream

## Description

WriteValue overrides the same method in TWriter to force the use of the TBidirBinaryObjectWriter methods, which update the position of the stream.

## See also

TBidirBinaryObjectWriter |  | Binary component stream writer with BiDi support

The latest version of this document can be found at lazarus-ccr.sourceforge.net.